local function make_autoplace()

    local ret = {
      control = "uranium-ore",
      sharpness = 1,
        richness_multiplier = 7000,
        richness_multiplier_distance_bonus = 20,
        richness_base = 250,
        coverage = 0.01,
        peaks = {
          {
            noise_layer = "uranium-ore",
            noise_octaves_difference = -1.5,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 0,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
          },
          {
            noise_layer = "uranium-ore",
            noise_octaves_difference = -2,
            noise_persistence = 0.3,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
          },
          {
            influence = 0.05,
            starting_area_weight_optimal = 1,
            starting_area_weight_range = 0,
            starting_area_weight_max_range = 2,
          }
         }
       }
        
          for i, resource in ipairs({ "copper-ore", "iron-ore", "coal", "stone" }) do
              ret.peaks[#ret.peaks + 1] = {
                {
                  influence = -0.3;
                  max_influence = 0;
                  noise_layer = resource,
                  noise_octaves_difference = -2,
                  noise_persistence = 0.3,
                  starting_area_weight_optimal = 1,
                  starting_area_weight_range = 0,
                  starting_area_weight_max_range = 2,
                },
              }
          end
    return ret
end

data:extend(
{
  {
    type = "resource",
    name = "uranium-ore",
    icon = "__Nucular__/graphics/icons/uranium-ore-icon.png",
    flags = {"placeable-neutral"},
    order="a-b-e",
    minable =
    {
      hardness = 0.9,
      mining_particle = "stone-particle",
      mining_time = 4,
      result = "uranium-ore"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace = make_autoplace(),
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages =
    {
      sheet =
      {
        filename = "__Nucular__/graphics/entity/uranium-ore.png",
        priority = "extra-high",
        width = 38,
        height = 38,
        frame_count = 4,
        variation_count = 8
      }
    },
    map_color = {r=0.8, g=0.78, b=0.23}
  }
}
)
